## wmcliphist 0.6

=== Makefile ===
CC = gcc

INCLUDES = `gtk-config --cflags` -I. -Ifoodock -g

DESTDIR = "/usr/local/bin"

# for normal use
CFLAGS = -Wall -O2 -ansi -pedantic $(INCLUDES)
DEBUG = 

# for debuggind purposes
# ISO doesn't support macros with variable number of arguments so -pedantic
# must not be used
#CFLAGS = -Wall -g -ansi $(INCLUDES) -DFNCALL_DEBUG
#DEBUG = debug.o


LFLAGS = `gtk-config --libs`


OBJECTS = wmcliphist.o clipboard.o gui.o rcconfig.o history.o hotkeys.o $(DEBUG)
TARGET = wmcliphist

all: $(TARGET)

lclint:
	lclint $(INCLUDES) +posixlib *.c >lclint.log

wmcliphist: $(OBJECTS) foodock/foodock.o
	$(CC) $(LFLAGS) -o $@ $(OBJECTS) foodock/foodock.o

wmcliphist.o: wmcliphist.c wmcliphist.h \
	icon/ico_60x60_black.xpm icon/ico_60x60_gray.xpm \
	icon/ico_60x60_white.xpm icon/ico_60x60_mask.xbm \
	icon/ico_40x40_black.xpm icon/ico_40x40_gray.xpm \
	icon/ico_40x40_white.xpm icon/ico_40x40_mask.xbm \
	icon/ico_30x30_black.xpm icon/ico_30x30_gray.xpm \
	icon/ico_30x30_white.xpm icon/ico_30x30_mask.xbm \
	icon/ico_16x16.xpm icon/ico_16x16_mask.xbm \
	foodock/foodock.h

clipboard.o: clipboard.c wmcliphist.h

rcconfig.o: rcconfig.c wmcliphist.h

gui.o: gui.c wmcliphist.h

history.o: history.c wmcliphist.h

hotkeys.o: hotkeys.c wmcliphist.h

clean:
	rm -rf $(OBJECTS) $(TARGET)
	@(cd foodock && make clean)

install:
	cp wmcliphist $(DESTDIR)

=== foodock/Makefile ===
LIBPATH = /usr/X11R6/lib
LIBNAME = libfoodock
LFOO = $(LIBNAME).so

lib:	foodock.c foodock.h
	$(CC) -fpic -shared -o $(LFOO)  foodock.c `gtk-config --cflags`
	strip $(LFOO)

clean:
	rm -rf $(LFOO) foodock.o example.o example

install:
	cp $(LFOO) $(LIBPATH)
	chmod 644 $(LIBPATH)/$(LFOO)
	ldconfig

uninstall:
	rm -f $(LIBPATH)/$(LFOO)
	ldconfig

example: example.c
	$(CC) -c -o example.o example.c `gtk-config --cflags`
	$(CC) -o example example.o `gtk-config --libs` -lfoodock

## wmcliphist 2.1

=== Makefile ===
srcCC ?= gcc
INSTALL = install
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/wmcliphist
MAN1DIR = $(PREFIX)/share/man/man1
INCLUDES = `pkg-config --cflags gtk+-3.0 x11`

# for normal use
CFLAGS += -Wall -ansi -pedantic $(INCLUDES) -DDATADIR=\"$(DATADIR)\"
DEBUG =

# for debuggind purposes
# ISO doesn't support macros with variable number of arguments so -pedantic
# must not be used
#CFLAGS += -Wall -g -ansi $(INCLUDES) -DFNCALL_DEBUG
#DEBUG = debug.o

LIBS = `pkg-config --libs gtk+-3.0 x11`

OBJECTS = wmcliphist.o clipboard.o gui.o rcconfig.o history.o hotkeys.o utils.o $(DEBUG)
TARGET = wmcliphist
ICONS = icon/ico_16x16.png icon/ico_30x30_black.png icon/ico_30x30_gray.png \
	icon/ico_30x30_white.png icon/ico_40x40_black.png \
	icon/ico_40x40_gray.png icon/ico_40x40_white.png \
	icon/ico_60x60_black.png icon/ico_60x60_gray.png \
	icon/ico_60x60_white.png


all: $(TARGET)

lclint:
	lclint $(INCLUDES) +posixlib *.c >lclint.log

wmcliphist: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

wmcliphist.o: wmcliphist.c wmcliphist.h

clipboard.o: clipboard.c wmcliphist.h

rcconfig.o: rcconfig.c wmcliphist.h

gui.o: gui.c wmcliphist.h

history.o: history.c wmcliphist.h

hotkeys.o: hotkeys.c wmcliphist.h

utils.o: utils.c wmcliphist.h

clean:
	rm -rf $(OBJECTS) $(TARGET)
	rm -rf core

install:
	$(INSTALL) -d $(DESTDIR)$(DATADIR)
	$(INSTALL) -m 644 $(ICONS) $(DESTDIR)$(DATADIR)
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) $(TARGET) $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MAN1DIR)
	$(INSTALL) -m 644 wmcliphist.1 $(DESTDIR)$(MAN1DIR)

=== debian/changelog ===
wmcliphist (2.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control
    - Bump debhelper from old 12 to 13.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/rules
    - Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Reformat using wrap-and-sort.
  * debian/copyright
    - Update upstream mailing list address.
    - Use https for Source URL.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/patches/*.patch
    - Add Forwarded fields.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 10 Oct 2021 06:52:40 -0400

wmcliphist (2.1-3) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.
  * Switch Priority from extra to optional.
  * Update homepage to dockapps.net.

  [ Jeremy Sowden ]
  * Bump standards-version to 4.4.0.
  * Bump compat to 12 and replace build-dep on debhelper with debhelper-compat.
  * Add myself to uploaders.
  * Remove get-orig-source from d/rules.
  * Add hardening to d/rules.
  * Update dockapps URL's to https.
  * Fix FTCBFS by adding patch to make pkg-config configurable.
    Closes: #941312

  [ Andreas Metzler ]
  * Set Rules-Requires-Root: no
  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Sep 2019 06:54:06 +0200

wmcliphist (2.1-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 17 Aug 2015 22:02:53 -0400

wmcliphist (2.1-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #533373).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Add Homepage and Vcs-* fields.
    - Remove Build-Depends on dockbook-to-man and dpatch.
    - Replace Build-Depends on libglib1.2-dev and libgtk1.2-dev with
      libgtk-3-dev.
    - Add ${misc:Depends} to Depends.
    - Bump Standards-Version to 3.9.6.
  * debian/copyright
    - Update to DEP 5 (version 1.0) format.
  * debian/dirs
    - Remove unnecessary file.
  * debian/docs
    - Remove debian/wmcliphistrc; nonexistent file.
  * debian/examples
    - New file; add wmcliphistrc.
  * debian/menu
    - Update section.
    - Quote strings.
  * debian/patches
    - (deprecated-declarations.patch, maybe-uninitialized.patch) Fix compiler
      warnings.
  * debian/rules
    - Update to use dh.
    - Add get-orig-source target.
    - Add "-Wl,--as-needed" to LDFLAGS; avoids "useless dependency" warnings
      from dpkg-shlibdeps.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.
  * debian/wmcliphist.sgml
    - Remove file; was used to generate manpage, which is now included upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 23 Nov 2014 12:53:22 -0600

wmcliphist (0.6-4) unstable; urgency=low

  * Orphan the package.

 -- Sebastian Ley <ley@debian.org>  Sat, 08 Sep 2007 16:21:48 +0200

wmcliphist (0.6-3) unstable; urgency=low

  * Drop the build dependency on xlibs-dev (Closes: #347114).

 -- Sebastian Ley <ley@debian.org>  Tue, 10 Jan 2006 13:01:13 +0100

wmcliphist (0.6-2) unstable; urgency=low

  * Add -s option to manpage (Closes: #244082).

 -- Sebastian Ley <ley@debian.org>  Fri, 16 Apr 2004 19:25:27 +0200

wmcliphist (0.6-1) unstable; urgency=low

  * New upstream release.
    - Upstream applied Micheal Beattie's patch for better execution handling
      (Closes: #204151).
  * Change maintainer field to my debian.org address.
  * Update Standards-Version to 3.6.1.0 (no changes).

 -- Sebastian Ley <ley@debian.org>  Tue,  2 Sep 2003 00:46:48 +0200

wmcliphist (0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patch for the Makefile. Upstream has incorporated this.

 -- Sebastian Ley <sebastian.ley@mmweg.rwth-aachen.de>  Mon, 30 Jun 2003 00:05:10 +0200

wmcliphist (0.4-1) unstable; urgency=low

  * New upstream release.
  * Remove patch to generate an rc file. Upstream has incorporated this.
  * Correct copyright information. wmcliphist is published under the GPL.
  * Update Standards-Version to 3.5.10 (no changes).
  * Install a sample wmcliphistrc file into /usr/share/doc/wmcliphist and post
    a note about this in the manpage (Closes: #198972).

 -- Sebastian Ley <sebastian.ley@mmweg.rwth-aachen.de>  Thu, 12 Jun 2003 15:26:23 +0200

wmcliphist (0.3-1) unstable; urgency=low

  * Initial release (Closes: #187438).

 -- Sebastian Ley <sebastian@coyote.mmweg.rwth-aachen.de>  Tue,  8 Apr 2003 23:45:20 +0200

=== debian/control ===
Source: wmcliphist
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>,
           Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmcliphist
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcliphist
Vcs-Git: https://salsa.debian.org/wmaker-team/wmcliphist.git

Package: wmcliphist
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp which provides a history for X11 selections
 wmcliphist is a dockable application for Window Maker. It keeps a
 history of clipboard operations and allows you to put previously
 copied items back to clipboard for pasting to other applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
